import { TreeViewTypes } from 'devextreme-react/tree-view';

export type SideNavigationItem = {
    expanded?: boolean;
    path: string;
    text: string;
    icon: string;
    items: Array<{
      text: string;
      path: string;
    }>;
  };

  export interface SideNavigationMenuProps {
    navigation:any;
    selectedItemChanged: (e: TreeViewTypes.ItemClickEvent) => void;
    openMenu: (e: React.PointerEvent) => void;
    compactMode: boolean;
    onMenuReady: (e: TreeViewTypes.ContentReadyEvent) => void;
  }