import { navigation } from "@/fixtures/app-navigation";
import { NavigationProvider } from "@/context/navigation";
import SideNavOuterToolbar from "@/components/side-nav-outer-toolbar/SideNavOuterToolbar";
import ToolbarAnalytics from "@/components/toolbar-analytics/ToolbarAnalytics";
import FormTextbox from "@/components/form-textbox/FormTextbox";

export default function MiddleWare() {
  return (
    <NavigationProvider>
    <div className="app">
      <SideNavOuterToolbar navigation={navigation} title={"Polaris"}>
        <ToolbarAnalytics title="client" />
        <FormTextbox value={""} isEditing={false} placeholder="Enter here" onValueChange={function (data: any): void {
          throw new Error("Function not implemented.");
        } } />
      </SideNavOuterToolbar>
    </div>
    </NavigationProvider>
  );
}
